---
id: log-template-read
title: "Read a template"
description: "Retrieve a specific template by its ID."
sidebar_label: "Read a template"
hide_title: true
hide_table_of_contents: true
api: eJzdV21v20YM/isHfmoB1XbeNkDfsrTbMgxYkDpbAScw6Dtaula6U+9OXlxD/33gSZbl2Es6DNuAfZFtieQ95MOHojfgSdZOhzWksw0sCB25yzrkkM4emocEAmYe0hn8bDMRqKwKDAQPCTy+MXVR8M+ldSWkG5C2LNGoucGSIIVxYbNx79EkYCtyGLQ11wpSKGw23z5NHaGCBBR56XTFNpDCLQWnaUUCha9I6qWWPQKxWAsdvLh+O4IEKnRYUiDnYxKavSsMOSTQgdEc3tHnWjtSkAZXUwJe5lQiQw/riq18cNpkjHUfyTQnURv9uSZx/VbYpQg59VAYAD1iWRUE6fnFN99y1Rz5yhpPnqOfTib8cRizr4j4Hb3wtZTk/bIuOKS0JpAJ7IhVVWgZDccfPXtvDrHbxUeSgYvhOGzQ7dnWZWj0l+g812rgoE2gjNwQ/cnp2fmx3HdJD8ONuFAopa1NeDH06dn5xfOhu0gxasvaU16O+bPlISNNAhIrXOhCh/VcYqDMuvVRpgd2lbMrrcgdt9vx8WfP5mSkVXzvmNEW3XyFzh8jDpXSnBkWN3sUPk9w+/RoCy+xLiJga+iXZZTGU6sDypqHp91/4MS56MCk9jn9im7aK/2YwW2nB37aJHD+4cOhIq4KTSYIcs460QtIqJpEsEKbFRZaCW2qOgjrRKm91yYTO/H/LdnshsMMfMBQ+yuriFuY8UACJXmPWZx9+wwMrI9JYD/JH6fTG9F6CGkVCUeVI08mcC7cxf2sk8N6vKJRNkrE+WTClxO+nPHl/PX+/JlMYj+qr5DPpShR5trQGx6/uCioOyviCjkG0SlHfyHfYiO3IieWqIva7U8+WKCacxHJB26/tmxfAWLhNC0Tkdclmh2SgdVW3i04Dretxj18h0rctofeA9+4M1iHPEJW97BfnKE1Q9wy+jLIXplCUUBdeIELW4cdrP1zeDB1pYiTvcSCX5KkRKyuCagNqb6lhx3cNK1CLo4p5H1b/qcK0UbFPjeZQCO09zUJayK4y5tr4bWi/5k0/LAQXTNcsDQuJqd8Odsn/uK/UwUn6wwW89Zo3pbsX9PHdXe86FrnHdu0SuE7WpK4M7hCXXDUA8Ecdf9HpXNpRG3osSIZSHUpWSlr50iNxE1B6EkEtxaYoTaC3y1uqxqu6mMg47U17Sb4idaQPl1VE1hhUdPLKysvciWF3PK+mlF89/JWmcKYteQsxzTUe4w3WjWQQEt1i6B2BaSQh1D5dDzGSo+GWEbSlgclu3FW1TIy20YCBrJd09+zTFt1DZf1ngc+CrrdNo7laARJ9+V760oMkMJPv03jq1ybpY3u3Rv7qs1MxNS4VuR8i+tkNBlNmPzK+lBiHBpd4W4JlcDd/4ODFaKfPX9hq+8SCvQYxlWB2vDZsZ6bjocZDHmA3Y4FCaRa8TzKrQ9suNks0NOdK5qGb3+uiffB2QM3g9Pc/JEupT1/V5AusfD0TB6vbrup+Fq8+PfgaCbdTTTrXUcCJF3PatWuYjlh3Ej7Zr6UkqowcDmY5Xtt+8O7Ka+W+z3ypCeGm+E+nM2mtZjaT2SapkcX+DcDbJo/ABEu8OI=
sidebar_class_name: "get api-method"
info_path: docs/api/control-plane
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read a template"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/controlplane/template/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Retrieve a specific template by its ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The unique ID of the template.","example":4567}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The operation was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"organization_id":{"type":"integer","example":1234,"description":"The ID of the organization."},"account_id":{"type":"integer","example":2345,"description":"The ID of the account."},"name":{"type":"string","description":"The name of the template."},"capability_category":{"type":"string"},"capability_provider":{"type":"string"},"content":{"type":"string"},"content_encoding":{"type":"string"},"template_vars":{"type":"object","additionalProperties":{"type":"object","properties":{"type":{"type":"string"},"default":{"oneOf":[{"type":"string"},{"type":"integer"}]},"description":{"type":"string"}},"title":"templateVarTemplate"}}},"title":"templateResponse"}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      